For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet receivables
      • POSTSearch receivables
      • POSTCreate a receivable
      • POSTClone a receivable
      • GETGet a receivable by ID
      • PATCHUpdate a receivable
      • PUTUpdate the line items of a receivable
      • POSTVerify a receivable
      • POSTIssue a receivable
      • GETGet a link to the PDF version of a receivable
      • DELDelete a receivable
        • POSTSend a receivable via email
        • POSTPreview a receivable's email message
        • POSTSend a test reminder
        • GETGet a list of all mails sent by receivable
        • GETGet a mail sent by receivable
        • GETGet email template variables
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableReceivables (invoices, quotes, credit notes)Emails

Get a mail sent by receivable

GET
/receivables/:receivable_id/mails/:mail_id
GET
/v1/receivables/:receivable_id/mails/:mail_id
$curl https://api.sandbox.monite.com/v1/receivables/receivable_id/mails/mail_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "status": "pending",
6 "recipients": {
7 "bcc": [
8 {
9 "email": "email",
10 "is_success": true,
11 "error": "error"
12 }
13 ],
14 "cc": [
15 {
16 "email": "email",
17 "is_success": true,
18 "error": "error"
19 }
20 ],
21 "to": [
22 {
23 "email": "email",
24 "is_success": true,
25 "error": "error"
26 }
27 ]
28 }
29}
Was this page helpful?
Previous

Get email template variables

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired
mail_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
The time the mail task was created
updated_atdatetime
The time the mail task was updated
statusenum
The status of the mail sent by receivable
Allowed values:
recipientsobject

Errors

400
Get Receivables ID Mails ID Request Bad Request Error
401
Get Receivables ID Mails ID Request Unauthorized Error
403
Get Receivables ID Mails ID Request Forbidden Error
404
Get Receivables ID Mails ID Request Not Found Error
422
Get Receivables ID Mails ID Request Unprocessable Entity Error
500
Get Receivables ID Mails ID Request Internal Server Error